Bug 929371 - SELinux is preventing /usr/bin/irssi from 'create' accesses on the directory irclogs.
Summary: SELinux is preventing /usr/bin/irssi from 'create' accesses on the directory ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ac579c683525b60607ff71f583b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-30 01:44 UTC by Casey Dahlin
Modified: 2014-06-18 08:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:50:53 UTC


Attachments (Terms of Use)

Description Casey Dahlin 2013-03-30 01:44:41 UTC
Description of problem:
I launched irssi for the first time on my new laptop with a copied-over .irssi folder
SELinux is preventing /usr/bin/irssi from 'create' accesses on the directory irclogs.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that irssi should be allowed create access on the irclogs directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep irssi /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:staff_r:irssi_t:s0-s0:c0.c1023
Target Context                staff_u:object_r:irc_home_t:s0
Target Objects                irclogs [ dir ]
Source                        irssi
Source Path                   /usr/bin/irssi
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           irssi-0.8.15-11.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-66.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.6.10-4.fc18.x86_64 #1 SMP Tue
                              Dec 11 18:01:27 UTC 2012 x86_64 x86_64
Alert Count                   25
First Seen                    2013-03-29 19:26:33 EDT
Last Seen                     2013-03-29 19:26:51 EDT
Local ID                      934156b4-4af9-4752-ae69-a037a43efe96

Raw Audit Messages
type=AVC msg=audit(1364599611.438:680): avc:  denied  { create } for  pid=4827 comm="irssi" name="irclogs" scontext=staff_u:staff_r:irssi_t:s0-s0:c0.c1023 tcontext=staff_u:object_r:irc_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1364599611.438:680): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=129b630 a1=1c0 a2=ffffffffffffff80 a3=15 items=0 ppid=4763 pid=4827 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts2 ses=2 comm=irssi exe=/usr/bin/irssi subj=staff_u:staff_r:irssi_t:s0-s0:c0.c1023 key=(null)

Hash: irssi,irssi_t,irc_home_t,dir,create

audit2allow
audit2allow -R

Additional info:
hashmarkername: setroubleshoot
kernel:         3.6.10-4.fc18.x86_64
type:           libreport

Comment 1 Daniel Walsh 2013-04-01 14:00:20 UTC
Where are ircssi and irclogs being stored?

Comment 2 Casey Dahlin 2013-04-01 14:02:25 UTC
irclogs should be in my home folder

Comment 3 Daniel Walsh 2013-04-01 14:10:10 UTC
b56b6e5dcf2a4216863aba167aa27f1ab45f826b fixes this in git.

Comment 4 Miroslav Grepl 2013-04-02 09:40:43 UTC
Back ported.

commit 590e0d41abde3ec10a653018d8b8a0f3b1ab43b4
Author: Dan Walsh <dwalsh@redhat.com>
Date:   Mon Apr 1 10:08:40 2013 -0400

    Fix handling of irclogs in users homedir

Comment 5 Fedora Update System 2013-04-15 11:11:06 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 6 Fedora Update System 2013-04-16 00:06:33 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-04-18 02:50:54 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.